Get an Epic Experience with Premium

PetEmote

Roleplay Login to Add Favorites
  • 10 Likes
  • World of Warcraft
  • 310 Monthly Downloads
  • Supports: 6.0.2
  • 18,072 Total Downloads
  • Updated 10/16/2014
  • Created 06/17/2012
  • 47 Favorites
  • Project Site
  • Comments
  • Release Type: Release
  • License: Creative Commons Attribution-NonCommercial-ShareAlike
  • Newest File: v1.8.6
or

About PetEmote

Allows you to send emotes from your combat pet (Hunters, Warlocks, Death Knights, and Mages).  Can also automatically perform randomized emotes based on your pet's family.

tag v1.8.6
574c09409fa061e13af09b81cfbea9132a4d207f
Ethan Centaurai <ethancentaurai@outlook.com>
2014-10-16 11:39:30 +0100

Tagging as v1.8.6.

--------------------

Ethan Centaurai:
    - Fixed a mistake in a couple of Stag family emotes.

Addon Packs Containing This...

Comments

First Previous Page 2 of 3 Next Last
  • #23

    I just downloaded this addon, and I like it. Only one small problem, whenever my imp(or any of my demons) does an emote it is puts "?" around his name. So it will come up looking like this : Angèl ’s Fel Imp?Ista'tul?gibbers quietly to himself while staring at his mistress. Is there anyway to fix that? Because I would like to keep this addon, but it looks a little silly like that. I went and read the ReadMe that was in the addon folder but it doesn't mention anyway to config anything.

    Last edited by DracoAngel on 6/19/2013 6:20:18 PM
  • #24

    Do you have any sort of font addon installed?  Checking the code (I'm the maintainer, not the original author), it appears that the spaces that are placed around a pet's name are non-breaking spaces, which is a special Unicode character.  If you're using a font addon, and it doesn't support that character, you'd see a question mark instead.

    I don't really see a good reason to use a non-breaking space there instead of a regular space, so I'll change that.  In the meantime, if it is because you're using a font addon, you can at least be assured that that's not what other people are seeing, unless they're also using a font addon that doesn't support non-breaking spaces!

  • #25

    I use ElvUI, and that does allow me to change fonts. But its nice to know that others don't see it that way :) unless they of course change fonts.

  • #19

    Hey there, in the ReadMe file the section on editing our own emotes just says it still has to be written. Any information on when we'll have that? I have a specific set of emotes I use for my hunter pet that I'd like to get back in place. Thanks bunches for bringing this fantastic addon back!

  • #16

    I downloaded this and then tried to disable it because the comments when I loaded up a mount were getting irritating.  No luck.  Not only is it -still- emoting after being disable but I unistalled it, cleared cache and yep. there it is.  Any way to remove it in full?

  • #18

    PetEmote doesn't install differently from any other normal Addon, so deleting the files should have removed it.  What's the message that you're getting that you're trying to get rid of?

  • #22

    are you sure your not using speaknspell? that does that for me!

  • #21

    PetEmote doesn't do anything when you summon a mount.  It doesn't even have any code to look for that happening.  It only does things for combat pets - i.e., hunter pets, warlock demons, a mage's water elemental, etc.  It does nothing for either mounts or vanity pets.

  • #20

    no message, it just won't completley go away.  Every time I summon a mount it pops up one of the clever little sayings, even after I've deleted it.  (this after trying to turn it OFF through the command listing)

  • #15

    How do I use it exactly? I know, it's rediculous.. but..

  • #17

    There's a readme file included with the Addon.  Take a look through it, and if you still have questions then, ask away!

  • #14

    wondering if there's a simple configuration method to making your toon itself express randomized emotes rather than your pet? i play a feral druid so i figured it'd be fitting :P

  • #12

    I'm getting this poppup error when playing:

    Date: 2012-12-15 21:46:36
    ID: 4
    Error occured in: Global
    Count: 1
    Message: ..\AddOns\PetEmote\PetEmote.lua line 257:
    attempt to call global 'GetNumRaidMembers' (a nil value)
    Debug:
    PetEmote\PetEmote.lua:257: PetEmote_SendAddonMessage()
    PetEmote\PetEmote.lua:496: PetEmote_DoEmote()
    PetEmote\PetEmote.lua:507: PetEmote_DoRandomEmote()
    PetEmote\PetEmote.lua:108:
    PetEmote\PetEmote.lua:94
    Locals:
    command = "vs"
    params = "1 7 3"
    (*temporary) = nil
    (*temporary) = "attempt to call global 'GetNumRaidMembers' (a nil value)"

    AddOns:
    MoncaiCompare, v1.4.0
    Swatter, v4.1.0 (<%codename%>)
    NPCScan, v5.0.0.5
    NPCScanOverlay, v5.0.0.3
    AckisRecipeList, v2.4.2
    ACP, v3.4.1 
    ArkInventory, v30324
    ArkInventoryRules, v
    ArkInventoryRulesExample, v1.00
    Atlas, v1.23.0
    AtlasBattlegrounds, v1.23.0
    AtlasBurningCrusade, v1.23.0
    AtlasCataclysm, v1.23.0
    AtlasClassicWoW, v1.23.0
    AtlasDungeonLocs, v1.23.0
    AtlasOutdoorRaids, v1.23.0
    AtlasScenarios, v1.23.0
    AtlasTransportation, v1.23.0
    AtlasWrathoftheLichKing, v1.23.0
    AtlasMajorCitiesEnhanced, vv0.13
    BagItemLevel, v1.1.0
    BrokerLocation, v1.6.1
    CooldownCount, v4.0
    Cooldowns, v
    Coordinates, v1.8
    DBMCore, v
    DBMInterrupts, v3.3.2
    DBMLDB, v
    DBMRaidLeadTools, v
    DBMVictorySound, v1.10.00b
    GatherMate2, v1.23.1
    GoingPriceAllakhazam, v5.0.1291397522
    GoingPriceWowhead, v5.0.1351009454
    GuildSlacker, v1.9
    HealBot, v5.1.0.2
    HealBotTips, v5.1.0.1
    InboxLooter, v
    junkdrop, vv0.8
    LowHPAlert, v
    MailOpener, vv1.2.16
    NumPadBar, v5.04
    PetEmote, v1.7.3
    RareAnnounce, v5.1.0.1
    Recount, v
    Reforgenator, vv2.3
    Scrap, v11.7
    ScrapMerchant, v
    ScrapSpotlight, v
    SlideBar, v4.1.0 (<%codename%>)
    StupidMount2, v
    TLootdb, v0.41-5.0
    TomTom, vv50001-1.3.1
    WhereToNow, v5.0.1
    WhoNeedsThis, v0.36
    WhoPulled, v1.0.9
    XToLevel, v5.0.4_34
    ZoneLevelInfo, v1.7.0
    BlizRuntimeLib_enUS v5.1.0.50100 <us>
    (ck=566)

  • #13

    The current version of PetEmote is 1.81; you're running 1.73.  Blizzard removed the GetNumRaidMembers() function in 5.0 - you need to update to a 5.0-compatible version of PetEmote if you want the error to stop.

    Last edited by efindel on 12/16/2012 4:39:57 PM
  • #10

    so im getting LUA errors when I try to reset a talent saying PetEmote has blocked a function. seeing as im downloading a patch right now I can't login to pull the error text. i use the curse updater but I see that this hasn't been updated since august....when can we see a new release?

  • To post a comment, please login or register a new account.
Login to Curse

Don't have an account? Create One.

Get an epic experience with Curse Premium
  • Faster addon downloads
  • Premium-Only Beta Giveaways
  • Ad-Free Curse experience
  • Premium Curse Client
  • and many More Features
  • Learn More »

Gamepedia Free-shirt Giveaway